2011-08-15 Bor Kraljič <pyrobor@ver.si>
	* CONFLICTS: it conflicts with libreoffice-bin

2011-07-30 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* DEPENDS: changed dependency on gcj to dependency on gcc with
	  sub-depends on JAVA (scripted)

2010-11-03 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: jpeg -> JPEG

2010-10-08 Bor Kraljič <pyrobor@ver.si>
	* OOo_3.2.1_src_binfilter.tar.bz2.sig: added missing sig file

2010-08-29 Pol Vinogradov <vin.public@gmail.com>
	* PRE_BUILD, sal_cppu.gcc45.patch: added patch for building with
	  g++ 4.5, http://www.openoffice.org/issues/show_bug.cgi?id=109853

2010-08-28 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS: version 3.2.1
	* BUILD, DETAILS: one less tarball to process, OOo is getting smaller ;)
	* DEPENDS: added mysql connector support

2010-05-20 Eric Sandall <sandalle@sourcemage.org>
	* OOo_3.2.0_src_l10n.tar.bz2.sig: Updated tarball, see
	  http://bugs.gentoo.org/show_bug.cgi?id=308661
	* DEPENDS: Depends on autoconf to regenerate configure
	* PRE_BUILD: Fix location of QT4 binaries for our layout
	  Regenerate configure from configure.in

2010-04-04 Bor Kraljič <pyrobor@ver.si>
	* DEPENDS: corrected to work properly
	* DETAILS: removed ARCHIVE=off and added TMPFS=off

2010-03-31 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: added mythes
	* INSTALL: fixed dmake prefix

2010-03-26 Arjan Bouter <abouter@sourcemage.org>
	* BUILD,CONFIGURE,CONFLICTS,DEPENDS,INSTALL,PRE_BUILD,PREPARE,DETAILS:
	  version 3.2.0 and the spell works!
	* TODO: added list of things to check and/or repair

2009-09-01 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS,PREPARE,PREBUILD: made some tarballs optional
	* BUILD,CONFIGURE: moved more options to CONFIGURE
	* DEPENDS: switched from OOo to system libs and headers
	  where it was optional.
	* getline.patch: removed

2009-08-31 Arjan Bouter <abouter@sourcemage.org>
	* version 3.1.1 and various other fixes.
	  still work in progress.

2009-08-03 Arjan Bouter <abouter@sourcemage.org>
	* recreated spell for OOo 3.1.0

2008-07-21 Ethan Grammatikidis <eekee57@fastmail.fm>
	* DETAILS: long desc -> 75 col

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Switch X11-SERVER to the one and only xorg-server

2008-02-06 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: removed mktemp (deprecated), is a part
	  of coreutils now (which included in basesystem)

2007-03-03 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD: moved invoke_gcc to PRE_BUILD #10641
	* CONFLICTS: removed old entries, lowercased

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT when linking #9163

2006-06-25 George Sherwood <george@beernabeer.com>
	* DEPENDS: Changed to CUPS from cups

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2005-11-28 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: unpack api update

2005-09-15 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.5, SOURCE_URL, SOURCE_DIRECTORY
	* PRE_BUILD: use new SOURCE_HASH checking
	* CONFIGURE: make OPENOFFICE_VERSION always = stable

2005-08-01 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Fixed number of parameters to depends (thanks Andrew Stitt)

2005-07-30 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added grimoire dependency on z-rejected (Bug #9281)

2005-05-24 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: updated cvs to 1.9.105, devel to 1.9.104

2005-05-11 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: updated cvs branch to 1.9.102

2005-05-04 Geoffrey Derber <gderber@sourcemage.org>
	* BUILD: removed industrial and crystal image configure options

2005-05-03 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: update cvs branch to 1.9.100
	* PRE_BUILD: remove previous patches.
	* DEPENDS: added dependency on CVS for cvs branch

2005-04-26 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: added some patches to the SOURCE# listing
	* PRE_BUILD: apply said patches

2005-04-22 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS, PRE_BUILD, CONFIGURE, DEPENDS, BUILD, PREPARE:
		modified to allow a CVS branch of openoffice
		for the insane

2005-04-21 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: updated to devel branch 1.9.95

2005-04-14 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: updated devel branch to 1.9.93
	* subtotal.hxx.patch: added
	* BUILD: removed setjmp.h from includes
	* PRE_BUILD: javafix.diff applied to devel branch
		as well now

2005-03-22 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: updated devel branch to 1.9.m87

2005-03-14 Geoffrey Derber <gderber@sourcemage.org>
	* BUILD: added setjmp.h to includes
	* PRE_BUILD: preventive bugfixing for the 2.0branch
	* DETAILS: added TMPFS=off

2005-03-11 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: updated devel branch to 1.9.m84

2005-03-07 Geoffrey Derber <gderber@sourcemage.org>
	* DEPENDS: removed optional JAVA
		added optional JAVA-1.4
		added bison

2005-03-03 Geoffrey Derber <gderber@sourcemage.org>
	* PREPARE, DETAILS, DEPENDS, CONFIGURE, PRE_BUILD, BUILD:
		added code for devel 2.0bc branch
	* CONFIGURE: added LANGUAGE and DICTIONARY support
		(devel only)
	* PREPARE: ensure that ANT_HOME and JAVA_HOME are set
	* INSTALL: fix variable name so symlinks are correctly made
	* BUILD: added code to force usage of gcc 3.3
	* javafix.diff: created applied to the included berkleydb version

2005-01-23 Geoffrey Derber <gderber@sourcemage.org>
	* DEPENDS: Linux-PAM renamed linux-pam
	* PRE_BUILD: Linux-PAM renamed linux-pam,
		spell_installed replaced with spell_ok

2005-01-22 Geoffrey Derber <gderber@sourcemage.org>
	* BUILD: commented out hgg's code
		moved the patching to PRE_BUILD,
	        moved the install to INSTALL
	* CONFIGURE: commented out hgg's code
	* DETAILS: updated to 1.1.4,
		   modified source_urls,
		   removed DISTCC_HOST variable
	* DEPENDS: added optional depends on:
		startup-notification,
		GRAPHICAL-WEB-BROWSER,
		curl,
		freetype2,
		nas,
		added configure switches to:
		X11-SERVER,
		ant,
		libart_lgpl,
		zlib
	* FINAL: Added
	* INSTALL: Added, inserted install code from
		BUILD
	* PRE_BUILD: comment out hgg's code,
		moved the patching from BUILD
	* PREPARE: commented out bison code
	* POST_INSTALL: renamed FINAL
	* all: integrated some of Sandall's devel spell into
		the test version

2005-01-13 Pieter Lenaerts <e-type@sourcemage.org>
	* BUILD: bug#7539 : changed DISTCC_HOST= to DISTCC_HOST=""

2004-12-16 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE,PRE_BUILD: Python renamed to python

2004-12-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Misspelled CCACHE and it needs =off
	  Use $VERSION instead of hardcoding for SOURCE_URLs

2004-12-04 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.1.3-1
	  Cleaned up SOURCE_URL list
	  Shortened SHORT
	  Removed Linux-PAM SOURCE2 hack
	* BUILD: Copy default_build into BUILD
	  Cleanup formatting
	* DEPENDS: Removed TAB
	  Removed JAVA (ant already depends on it)
	  Added optional dependency on nas, freetype2, neon and curl
	  Added dependencies on unzip, libgpc and Linux-PAM
	  Added dependency on gtk+2 if CRASHDUMP = y
	  Use system zlib
	* CONFIGURE: Query for options
	  Converted OPTION query to config_query with OO_OPTION
	* INSTALL: Added
	* PRE_BUILD: Removed Linux-PAM code
	  Move fix-j2sdk+kernel.patch from BUILD to here
	* openssl.patch: Updated for openssl 0.9.7e and OO 1.1.3
	* python.patch: Updated for Python 2.4 and OO 1.1.3
	* db.patch: Updated for db 4.3.21 and OO 1.1.3
	* fix-j2sdk+kernel.patch: Updated for OO 1.1.3
	* POST_INSTALL,POST_REMOVE,PREPARE: Removed
	* HISTORY: Formatted to Guru Handbook

2004-05-14 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed binarycode URL (Bug #6821)

2003-11-04 hgg <hgreig@bigpond.net.au>
	* DETAILS,PRE_BUILD: removed special version of bison as grimoire version has been updated
	* CONFIGURE: made updates and parallel jobs an optional part of the regular build
	* BUILD,fix-j2sdk+kernel.patch: add patch for j2sdk 1.4.2 and kernel 2.6.0*
	  general clean up also
	* PRE_BUILD: add rm_source_dir for PAM and need to mkdir -p /usr/include/security
	* patches: add patches for the version updates rather that wordy sedits(much cleaner like this)
	* DEPENDS: remove db as bundled version is used

2003-10-29 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on JAVA

2003-10-27 hgg <hgreig@bigpond.net.au>
	* BUILD: set JAVA_HOME if not already set

2003-10-20 hgg <hgreig@bigpond.net.au>
	* DEPENDS,BUILD: fixed for use of system installed STLport and needs X11-SERVER not X11-LIBS
	  (might be repairable but fails currently with only libs installed), Add libart_lgpl 
	* HISTORY: convert format

2003-10-18 hgg <hgreig@bigpond.net.au>
	* PRE_BUILD: fix version check for bison
	* DEPENDS: Fix install of PAM headers if Linux-PAM isn't installed turn off distcc and ccache so the ./configure won't fail. use custom BUILD in ./updates/* for parallel make support if wanted(experimantal). remove freetype2 as it comes with X11-LIBS, make java depends not requires

2003-10-13 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS,BUILD: Updated to 1.1.0
	* HISTORY: Leaving HISTORY alone until I can
	  get the conversion script to work properly on it.

2003-09-11 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: Updated to 1.1rc4
	* BUILD: somewhat re-wrote BUILD
	  removing lots of excess code not needed for 1.1
	  *enable-libart option removes dependency on libgpc
	* PRE_BUILD: re-wrote & removed 1.0 patching
	  added a bison build added PAM header files needed for compile
	  *TODO: figure out the language (--with-lang) 
	  and the dictionary (--with-dict) options possible values 
	  (incompletely?) listed in: oo_1.1rc4_src/config_office/set_soenv

2003-09-05 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Add US mirrors.

2003-06-01 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: Put in fake unpack comment so it passes audit

2003-05-19 Seth Woolley <seth@tautology.org>
	* DETAILS: Commenting out SOURCE24 was bad because
	  SOURCE25 was not downloaded :(

2003-05-15 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: Messed with PRE_BUILD to get it to validate with MD5s commented out SOURCE24 in DETAILS

2003-05-09 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Updated to use db-4.1 patch

2003-04-18 Seth Woolley <seth@tautology.org>
	* DETAILS: Modified DETAILS to insert md5 for SOURCE25.
	  Modified DETAILS to insert md5 for SOURCE3.

2003-03-10 Jose Bernardo Silva <josebernardo1@yahoo.com>
	* DETAILS,BUILD: Updated for OpenOffice 1.0.2
	* CONFIGURE: Added a dialog to choose the localization of help files

2003-02-01 Jose Bernardo Silva <josebernardo1@yahoo.com>
	* PRE_BUILD: Added checks for bison version, and X access.
	* Releasing it to the devel grimoire at last.

2003-01-28 Jose Bernardo Silva <josebernardo1@yahoo.com>
	* BUILD: Added the bison compatibility patches.

2002-12-10 Geoffrey Derber <gderber@sourcemage.org>
	* Spell completely rewriten. Is now a source based spell.

2002-11-27 Geoffrey Derber <gderber@sourcemage.org>
	* DETAILS: Fixed a problem caused by URLs changing.

2002-10-25 Geoffrey Derber <gderber@sourcemage.org>
	* PRE_BUILD: Fixed an issue with the PRE_BUILD warning message

2002-07-21 Eric Schabell <eric@schabell.com>
	* PRE_INSTALL: warning messages and updated DETAILS with download size warning.

2002-07-13 Chris Brien <christopher_brien@hotmail.com>
	* After spending weeks attempting to build OpenOffice, I decided to just go get the binary. 
	  This spell is heading straight to z-rejected.

2002-05-01 Eric Sandall <sandalle@sourcemage.org>
	* Avitzour <avitzour@princeton.edu> for pointing me here.

2002-03-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Modified DETAILS (finally figured this out ;) to have gpc as SOURCE2, rather than 
	  creating a whole other spell for 2 header files that just need to be copied for OpenOffice.

